require 'json'
module CrmJavaSearch
  module Trans
    module HttpHandler
      extend self

      DEFAULT_TIME_OUT = 20

      def wrapp_loger(url, params)
        Log.logger.info("Request java es service api url: #{url} params: #{params}")
        start_time = Time.now.getlocal

        res = yield(url, params) if block_given?

        end_time = Time.now.getlocal
        Log.logger.info("start_time: #{start_time} end_time: #{end_time}")
        Log.logger.info("ESRequest Time: #{end_time - start_time} ")
        res
      end

      def post_json(url, params)
        wrapp_loger(url, params) do
          HTTParty.post url,
                        body: params.to_json,
                        headers: {
                          'Accept' => 'application/json;',
                          'Content-Type' => 'application/json; charset=utf8;'
                        },
                        timeout: DEFAULT_TIME_OUT
        end
      end

      def post_form(url, params)
        wrapp_loger(url, params) do
          HTTParty.post "#{url}?#{params.to_query}",
                        headers: {
                          'Accept' => 'application/json;'
                        },
                        timeout: DEFAULT_TIME_OUT
        end
      end

    end
  end
end
